﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>


    <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ctr/ctr_0007/ctr.0007.lodge.request.02.00.report.xsd'] and not(@i:nil='true' or @i:nil='1')]">

        <!--IEE-->
        <let name="RP.CTR.TFN" value="$RP.CTR.Context/xbrli:entity/xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]" />
        <!--
            IF ([CTR330] = "G - Inter-company roll-over") AND
            (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS46] = NULL
             RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS46] = CGTS:RP:rvctc3.02.11:Capital.Gains.InterCompanyAssetRolloverDeferral.Amount
            [CTR330] = CTR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->
        <assert  id="VR.ATO.CTR.430031" diagnostics="DVR.ATO.CTR.430031" test="not(
                        rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and . = 'G - Inter-company roll-over']
                        and (count($CGT.Context) = 1)
                        and not($CGT.Context/rvctc3.02.11:Capital.Gains.InterCompanyAssetRolloverDeferral.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>
        <!--
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND 
                (COUNT(SCHEDULE = "IEE") > 0) AND 
                (RP:entity.identifier.TFN = ANY OCCURRENCE OF ([IEE50]))
                RETURN VALIDATION MESSAGE
            ENDIF
            [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
        -->
        <assert id="VR.ATO.CTR.428234" diagnostics="DVR.ATO.CTR.428234"
                test="not(                    
                        count($RP.CTR.TFN) &gt; 0
                        and
                        count($IEE.Context) &gt; 0
                        and
                        count($IEE.Context/iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.CTR.TFN]) &gt; 0
                        )"/>
        <!--
            IF (CTR:RP:pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND 
                (COUNT(SCHEDULE = "IEE") > 0) AND 
                (ANY OCCURRENCE OF ([IEE116] = "R") AND 
                ([IEE82] <> CTR:RP:pyin.xx.xx:Report.TargetFinancial.Year))
                RETURN VALIDATION MESSAGE
            ENDIF
            [IEE116] = IEE:RP:rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code 
            [IEE82] = IEE:RP:rvctc3.02.00:Elections.Revocation.Year
        -->
        <assert id="VR.ATO.CTR.428240" diagnostics="DVR.ATO.CTR.428240"
                test="not(
                        count(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and count($IEE.Context) &gt; 0
                        and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = 'R']) &gt; 0
                        and 
                        $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        != 
                        pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
        <!--
            IF ([CTR55] = NULL) AND (COUNT(SCHEDULE = "IEE") > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR55] = CTR:RP:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
        -->
        <assert id="VR.ATO.CTR.428037" diagnostics="DVR.ATO.CTR.428037"
                test="not(
                        count($CTR.Context/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and count($IEE.Context) &gt; 0
                        )"/>

      <!--  IF [rvctc3.xx.xx:Elections.InterposedEntityElectionStatus.Year] <> NULL AND (COUNT(SCHEDULE = "IEE") = 0) 
              RETURN VALIDATION MESSAGE
          ENDIF

            
        -->
      <!--<assert id="VR.ATO.GEN.438056" diagnostics="DVR.ATO.GEN.438056"
              test="not(
                        $CTR.Context/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and count($IEE.Context) = 0
                        )"/>-->
        <!--
            IF ([CTR56] = "R") AND (COUNT(SCHEDULE = "IEE") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR56] = CTR:RP:rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code
        -->
        <assert id="VR.ATO.CTR.428039" diagnostics="DVR.ATO.CTR.428039"
                test="not(
                    $CTR.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code
                        [@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and .= 'R'] 
                    and count($IEE.Context) = 0
                        )"/>
        <!--LS

            Rule Id: VR.ATO.CTR.428034	CMN.ATO.CTR.428034
            IF ([CTR53] = "1") AND (COUNT(SCHEDULE = "LS") = 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
        -->
        <assert id="VR.ATO.CTR.428034" diagnostics="DVR.ATO.CTR.428034"
                test="not(
                        pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = '1'
                        and 
                        count($LOS.Context) &gt; 0)"/>
        <!--
            Rule Id: VR.ATO.CTR.428102	CMN.ATO.CTR.428102
            IF ([CTR53] = NULLORBLANK) AND 
                ([CTR117] > 100000) AND 
                (COUNT(SCHEDULE = "LS") = 1) AND 
                ([LS15] = NULL) AND ([LS16] = NULL) AND ([LS17] = NULL) AND ([LS18] = NULL) AND ([LS19] = NULL) AND ([LS53] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
            [CTR117] = CTR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount 
            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS53] = LS:RP.Y0-5+:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
        -->
        <assert  id="VR.ATO.CTR.428102" diagnostics="DVR.ATO.CTR.428102"
                 test="not(
                        count(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        and
                        sum(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 100000
                        and
                        count($LOS.Context) = 1
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-1.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-2.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-3.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-4.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-5P.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                    )"/>
        <!--
            Rule Id: VR.ATO.CTR.428190	CMN.ATO.CTR.428190
            IF (COUNT(SCHEDULE = "LS") = 1) AND ([CTR175] <> [LS50])
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR175] = CTR:RP:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
            [LS50] = LS:RP.ALL:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428190" diagnostics="DVR.ATO.CTR.428190"
                test="not(
                        count($LOS.Context) &gt; 0
                        and 
                        sum(rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        != 
                        sum($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.ALL.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                    )"/>
        <!--
            Rule Id: VR.ATO.CTR.428099	CMN.ATO.CTR.428099
        
           
            TT2016
            IF ([CTR175] + [CTR176] > 100000) AND 
              ([CTR53] = NULLORBLANK) AND (COUNT(SCHEDULE = "LS") = 0)
                 RETURN VALIDATION MESSAGE
              ENDIF

              [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
              [CTR175] = CTR:RP:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
              [CTR176] = CTR:RP(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

        -->
        <assert  id="VR.ATO.CTR.428099" diagnostics="DVR.ATO.CTR.428099"
                 test="not(
                            sum(
                                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |
                                rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ) &gt; 100000
                            and
                            count(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                            and 
                            count($LOS.Context[string-length(.) &gt; 0]) = 0
                        )"/> 
        <!--
            Rule Id: VR.ATO.CTR.428191	CMN.ATO.CTR.428191
            
            TT2016
            IF (COUNT(SCHEDULE = "LS") = 1) AND ([CTR176] <> [LS52]) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR176] = CTR:RP(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
            [LS52] = LS:RP.ALL(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
        -->       
      
       <assert id="VR.ATO.CTR.428191" diagnostics="DVR.ATO.CTR.428191"
                test="not(
                        
                        count($LOS.Context[string-length(.) &gt; 0]) &gt; 0
                        and 
                        sum(rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        != 
                        sum($LOS.Context/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.ALL.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                       )"/>
        <!--
            IF (([CTR58] > 0)  AND (COUNT(SCHEDULE = "PSS") = 0)) OR ((SUM[PSS19]) <> [CTR58])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR58] = CTR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PSS19] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.CTR.428040" diagnostics="DVR.ATO.CTR.428040"
                test="not
                    (
                        (                 
                            sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                            and count($PSS.Context) = 0
                        )
                        or
                        (
                            sum($PSS.Context/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Payer.PSS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 
                            sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        )
                    )"/>
        <!--
            IF (
                    ([CTR57] > 0) AND (COUNT(SCHEDULE = "PSS") = 0)
               ) 
               OR 
               (
                     (SUM[PSS18]) <> [CTR57]
               )              
               
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR57] = CTR:RP:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PSS18] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
        -->
        <assert id="VR.ATO.CTR.428278" diagnostics="DVR.ATO.CTR.428278" subject="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount" 
                test="not(
                         (        
                            sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and count($PSS.Context) = 0
                         )
                         or
                         (
                            round(xs:decimal(100 * sum($PSS.Context/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.Payer.PSS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            != 
                            round(xs:decimal(100 * sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                         )
                     )"/>
       
        <!--
            
            
            TT2016
            IF (([CTR57] > 0) AND (COUNT(SCHEDULE = "PSS") = 0)) OR ([CTR207] < SUM[PSS22])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR57] = CTR:RP:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR207] = CTR:RP:rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") 
            IN TUPLE(ctr.0007.lodge.req.02.00:ITPAYGWithholdingDetails)
            [PSS22] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount

        -->
        <assert id="VR.ATO.CTR.428109" diagnostics="DVR.ATO.CTR.428109"
             test="not(
                        (
                            sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and count($PSS.Context) = 0
                        ) 
                        or 
                        ( 
                            round(xs:decimal(100 * sum(ctr.0007.lodge.req.02.00:ITPAYGWithholdingDetails[./rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[matches(.,'^(DFRW)$','i')]
                                ]/rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &lt;
                            round(xs:decimal(100 * sum($PSS.Context/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount[@contextRef=$RP.Payer.PSS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                     )"/>

        <!--
            Rule Id: VR.ATO.CTR.428101
           
            TT2016:
            IF ([CTR208] > 0) AND (((COUNT(SCHEDULE = "PSS") = 0) OR (SUM([PSS23]) <> [CTR208])))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR208] = CTR:RP:rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
             WHERE (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
              IN TUPLE(ctr.0007.lodge.req.02.00:ITPAYGWithholdingDetails)
            [PSS23] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount

        -->
        <assert id="VR.ATO.CTR.428101" diagnostics="DVR.ATO.CTR.428101" subject="rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" 
                test="not(
                            sum(//ctr.0007.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')] = 'DNOABN']) &gt; 0
                            and 
                            (
                                count($PSS.Context) = 0
                                or
                                (
                                    round(xs:decimal(100 * sum($PSS.Context/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount[@contextRef=$RP.Payer.PSS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                    !=
                                    round(xs:decimal(100 * sum(ctr.0007.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                                        [@contextRef=$RP.CTR.ContextId 
                                        and not(@i:nil='true' or @i:nil='1') 
                                        and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')] = 'DNOABN'])))
                    )))"/>
        <!--CGLS
            Rule Id: VR.ATO.CTR.428135
            IF (([CTR117] > 100000) AND ([CTR53] = "1") AND (COUNT(SCHEDULE = "CGLS") = 0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR117] = CTR:RP:rvctc2.xx.xx:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
        -->
        <assert  id="VR.ATO.CTR.428135" diagnostics="DVR.ATO.CTR.428135" test="
                        not(
                            sum(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 100000
                            and
                            normalize-space(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            = '1'
                            and
                            count($CGLS.Context) = 0
                        )"/>
        <!--
            Rule Id: VR.ATO.CTR.428100
          
            TT2016
            
            IF ([CTR175] + [CTR176] > 100000) AND ([CTR53] = "1") AND (COUNT(SCHEDULE = "CGLS") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
            [CTR175] = CTR:RP:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
            [CTR176] = CTR:RP(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

        -->
        <assert id="VR.ATO.CTR.428100" diagnostics="DVR.ATO.CTR.428100"
                test="not(
                            sum(
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 100000
                            and
                            normalize-space(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            = '1'
                            and
                            count($CGLS.Context) = 0
                        )"/>
        <!--
            Rule Id: VR.ATO.CTR.428187
      
        TT2016
        IF  (COUNT(SCHEDULE = "CGLS") = 1) AND ([CGLS34] > 0) AND ([CTR176] <> [CGLS34])
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGLS34] = CGLS:RP.TOT(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
        [CTR176] = CTR:RP(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

        -->
        <assert id="VR.ATO.CTR.428187" diagnostics="DVR.ATO.CTR.428187"
                test="not(
                            count($CGLS.Context) = 1
                            and
                            //rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0] 
                            and
                            (
                                sum(rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                                !=
                                sum($CGLS.Context/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                        )"/>
        <!--
            CGTS
            IF (([CTR49] <> SET ("63100","62400") AND 
            [CTR52] <> SET ("088", "054", "174")) OR ([CTR52] = SET ("054", "174") AND [CTR53] = "1")) AND [CGTS126] > 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
            [CTR49] = CTR:RP:pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR52] = CTR:RP:pyde.02.22:OrganisationDetails.OrganisationType.Code
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
        -->
        <assert id="VR.ATO.CTR.428027" diagnostics="DVR.ATO.CTR.428027"
                test="not(
                             ((
                                not(pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(63100|62400)$')]) 
                                and
                                not(pyde.02.22:OrganisationDetails.OrganisationType.Code[matches(.,'^(088|054|174)$') and @contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                             )
                             or
                             (
                                pyde.02.22:OrganisationDetails.OrganisationType.Code[matches(.,'^(054|174)$') and @contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                and
                                pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]='1'
                             ))
                             and sum($CGT.Context/gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )"/>
        <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""A - Small business active asset reduction"") AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS127] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS127] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
        -->
        <assert id="VR.ATO.GEN.438022" diagnostics="DVR.ATO.GEN.438022"
                test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(A \- Small business active asset reduction)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""B - Small business retirement exemption"") 
            AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS128] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS128] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
        -->
        <assert id="VR.ATO.GEN.438023" diagnostics="DVR.ATO.GEN.438023"
                test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(B \- Small business retirement exemption)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""C - Small business roll-over"") 
            AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS129] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS129] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

        <assert id="VR.ATO.GEN.438024" diagnostics="DVR.ATO.GEN.438024"
                test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(C \- Small business roll-over)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        <!--
            IF [CTR176] <> NULL  AND (COUNT(SCHEDULE = "CGTS") = 1) AND ([CTR176] <> ([CGTS124] + [CGTS125]))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS124] = CGTS:RP.Collectables.Unapplied:rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
            [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
            [CTR176] = CTR:RP:rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
            TT2016 change
            [CTR176] = CTR:RP(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
        -->
        <assert id="VR.ATO.CTR.430023" diagnostics="DVR.ATO.CTR.430023"
                test="not
                        (
                            count(rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            (
                             count($CGT.Context) = 1
                             and
                             sum(rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Instant.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) !=
                             sum(
                             $CGT.Context/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.CGT.Collectables.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')] 
                             |
                             $CGT.Context/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.CGT.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]
                             )
                            )
                        )"/>
        <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""D - Small business 15 year exemption"")
            AND (COUNT(SCHEDULE = ""CGTS"") = 1)
            AND [CGTS138] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS138] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
        -->
        <assert id="VR.ATO.GEN.438025" diagnostics="DVR.ATO.GEN.438025"
                test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(D \- Small business 15 year exemption)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""E - Foreign resident CGT exemption"") 
                AND (COUNT(SCHEDULE = ""CGTS"") = 1) 
                AND [CGTS140] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS140] = CGTS:RP:rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount
        -->
        <assert id="VR.ATO.GEN.438026" diagnostics="DVR.ATO.GEN.438026"
                test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(E \- Foreign resident CGT exemption)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        <!--
            Rule Id: CMN.ATO.CTR.428096
            IF (([CTR91] > 10000) AND ([CTR53] <> "2") AND (COUNT(SCHEDULE = "CGTS") = 0))
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR91] = CTR:RP:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
        -->
        <assert id="VR.ATO.CTR.428096" diagnostics="DVR.ATO.CTR.428096"
                test="not(
                            (sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 10000)
                            and 
                            (pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '2')
                            and count($CGT.Context) = 0
                        )"/>
        <!-- 
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CTR91] <> [CGTS131])
               RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [CTR91] = CTR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->
        <assert id="VR.ATO.CTR.428098" diagnostics="DVR.ATO.CTR.428098"
                test="not(
                        count($CGT.Context) = 1
                        and
                        (bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        !=
                        $CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                )"/>
        <!--
            IF [CTR328] <> [RDTIS48] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR328] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
            [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        -->
        <assert id="VR.ATO.CTR.428398" diagnostics="DVR.ATO.CTR.428398"
                test="not(
                        sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        !=
                        sum($RDTIS.Context/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and count($RDTIS.Context) = 1                
                )"/>
        <!--
            Rule Id: VR.ATO.CTR.428404
            
            IF (COUNT(SCHEDULE = ""RDTIS"") = 1) AND [RDTIS1] = TRUE AND [CTR298] <> TRUE
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR298] = CTR:RP:pyin.02.07:Report.Amendment.Indicator
            [RDTIS1] = RDTIS:RP:pyin.02.07:Report.Amendment.Indicator
        -->
        <assert id="VR.ATO.CTR.428404" diagnostics="DVR.ATO.CTR.428404"
                test="not(
                        count($RDTIS.Context) = 1
                        and $RDTIS.Context/pyin.02.07:Report.Amendment.Indicator[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and $CTR.Context/pyin.02.07:Report.Amendment.Indicator[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                    )"/>
        <!--
            IF ([CTR97] <> NULL OR [CTR328] <> NULL OR [CTR210] <> NULL) AND (COUNT(SCHEDULE = "RDTIS") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR97] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR210] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
            [CTR328] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        -->
        <assert id="VR.ATO.CTR.428354" diagnostics="DVR.ATO.CTR.428354" 
                test="not(    
                            (
                                gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            count($RDTIS.Context) = 0
                    )"/>
        <!--
            IF [CTR321] <> [RDTIS31] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR321] = CTR:RP:rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount
            [RDTIS31] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount
        -->
        <assert id="VR.ATO.CTR.428400" diagnostics="DVR.ATO.CTR.428400"
                test="not(
                        sum(rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        !=
                        sum($RDTIS.Context/gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        count($RDTIS.Context) = 1
                      )"/>
        <!--
            IF [CTR98] > 0 AND (COUNT(SCHEDULE = "IDS") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR98] = CTR:RP:bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount
        -->
        <assert id="VR.ATO.CTR.430020" diagnostics="DVR.ATO.CTR.430020"
                test="not
                 (
                    sum(bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and 
                    count($IDS.Context) = 0
                 )"/>
        <!-- 
             
        
            TT2016:
            IF ([CTR113] <> NULL OR [CTR194] = TRUE OR [CTR195] = TRUE OR [CTR196] = TRUE) 
                 AND
                  (COUNT(SCHEDULE = "IDS") = 0)
                 RETURN VALIDATION MESSAGE
              ENDIF

              [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
              [CTR194] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
              [CTR195] = CTR:RP:rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
              [CTR196] = CTR:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator

        -->
        <assert id="VR.ATO.CTR.428352" diagnostics="DVR.ATO.CTR.428352"
                test="not(
                            (
                                count(gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or
                                count(rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]) &gt; 0
                                or
                                count(rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]) &gt; 0
                                or
                                count(bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]) &gt; 0
                            )
                            and
                            (
                                count($IDS.Context) = 0
                            )
                        )"/>
        <!--
                       
           
            
            
      
         Drop 7
        ( Only change error messsage)
            IF (([CTR81] = NULL OR [CTR81] = 0) AND ([CTR366] = NULL OR [CTR366] = 0) AND ([CTR98] =NULL OR [CTR98] = 0))
            AND [CTR113] = NULL AND ([CTR194] = FALSE AND [CTR195] = FALSE AND [CTR196] = FALSE) 
                AND (COUNT(SCHEDULE = "IDS") = 1)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.17:Expense.Operating.Interest.Amount
            [CTR98] = CTR:RP:bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount
            [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [CTR194] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [CTR195] = CTR:RP:rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [CTR196] = CTR:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
            [CTR366] = CTR:RP.JFOREIGN:bafpr1.02.18:Expense.Royalties.Amount
        -->
        <assert id="VR.ATO.CTR.428353" diagnostics="DVR.ATO.CTR.428353"
                test="not(
                          (
                            sum(bafpr2.02.17:Expense.Operating.Interest.Amount[@contextRef=$RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and sum(bafpr1.02.18:Expense.Royalties.Amount[@contextRef=$RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and sum(bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          )
                          and
                            not(gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and
                         (
                            rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
                                    [
                                        @contextRef=$RP.CTR.ContextId 
                                        and not(@i:nil='true' or @i:nil='1') 
                                        and matches(.,'^(false|0)$')
                                    ]
                            and
                            rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
                                    [
                                        $RP.CTR.ContextId 
                                        and not(@i:nil='true' or @i:nil='1') 
                                        and matches(.,'^(false|0)$')
                                    ]
                            and
                            bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
                                    [
                                        @contextRef=$RP.CTR.ContextId 
                                        and not(@i:nil='true' or @i:nil='1') 
                                        and matches(.,'^(false|0)$')
                                    ]
                         )
                         and
                         (
                           count($IDS.Context) = 1
                         )
                      )"/>
        <!-- 
           
           TT2016 
            IF [CTR81] > 0 AND (COUNT(SCHEDULE = "IDS") = 0) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.17:Expense.Operating.Interest.Amount

        -->
        <assert id="VR.ATO.CTR.430014" diagnostics="DVR.ATO.CTR.430014"
                test="not(
                        sum(bafpr2.02.17:Expense.Operating.Interest.Amount[@contextRef=$RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        count($IDS.Context) = 0)"/>
        <!--
            
            TT2016:
            IF [CTR366] > 0 AND (COUNT(SCHEDULE = "IDS") = 0) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR366] = CTR:RP.JFOREIGN:bafpr1.02.18:Expense.Royalties.Amount

        -->
        <assert id="VR.ATO.CTR.430015" diagnostics="DVR.ATO.CTR.430015"
                test="not(
                        sum(bafpr1.02.18:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        count($IDS.Context) = 0
                         )"/>



      <!--VR.ATO.CTR.438050
       IF ([CTR310] > 0 OR [CTR311] > 0) 
          AND (COUNT(SCHEDULE = "IDS") = 1  
          AND [IDS177] <> TRUE)
             RETURN VALIDATION MESSAGE
          ENDIF          

          [CTR310] = CTR:RP.TOFA:bafpr1.02.04:Income.GainsTotal.Amount
          [CTR311] = CTR:RP.TOFA:bafpr1.02.04:Expense.LossesTotal.Amount
          [IDS177] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator
        -->

      <assert id="VR.ATO.CTR.438050" diagnostics="DVR.ATO.CTR.438050"
                test="not(
                            (
                              sum(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              or sum(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )                          
                            and
                            (
                              (
                                count($IDS.Context) = 1
                                and
                                $IDS.Context/rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[@contextRef=$RP.IDS.ContextId and (@i:nil='true' or @i:nil='1' or not(matches(.,'^(true|1)$')))]
                              )

                            )
                      )"/>

        <!--
            IF [CTR97] <> [RDTIS3] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR97] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
            [RDTIS3] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount
        -->
        <assert id="VR.ATO.CTR.428355" diagnostics="DVR.ATO.CTR.428355"
                test="not(
                    sum(gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                    !=
                    sum($RDTIS.Context/bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])
                    and
                    count($RDTIS.Context) = 1
                )"/>
        <!--
            IF [CTR210] <> [RDTIS46] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR210] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
            [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
        -->
        <assert id="VR.ATO.CTR.428399" diagnostics="DVR.ATO.CTR.428399"
                test="not(
                        sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        !=
                        sum($RDTIS.Context/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        count($RDTIS.Context) = 1 )"/>
        <!--
            IF ([CTR196] = FALSE) AND ([IDS220] = TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR196] = CTR:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
            [IDS220] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator

        -->
        <assert id="VR.ATO.CTR.428405" diagnostics="DVR.ATO.CTR.428405"
                test="not(
                        bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                        and
                        $IDS.Context/bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                     )"/>
        <!--
          
            
            TT2016 Modified
            
            IF ([CTR57] = NULL OR [CTR57] = 0) AND (([CTR366] = NULL OR [CTR366] = 0) AND ([IDS22] > 0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR57] = CTR:RP:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR366] = CTR:RP.JFOREIGN:bafpr1.02.18:Expense.Royalties.Amount
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount

        -->
      <assert id="VR.ATO.CTR.428406" diagnostics="DVR.ATO.CTR.428406"
                test="not(
                        sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        (
                            sum(bafpr1.02.18:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            sum($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        ))"/>
      
        <!--
            IF ([CTR156] > 0) AND ([IDS188] > [CTR156])
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [IDS188] = IDS:RP.CFCLC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
        -->
        <assert  id="VR.ATO.CTR.428414" diagnostics="DVR.ATO.CTR.428414" test="not( 
                        sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        (
                            sum($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef = $RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 
                            sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        ))"/>
        <!--
            IF [CTR195] = FALSE AND ([IDS191] > 0 OR [IDS192] > 0 OR [IDS193] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR195] = CTR:RP:rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428415" diagnostics="DVR.ATO.CTR.428415"
                test="not( 
                       rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                       and
                       (
                           sum($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                           or 
                           sum($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                           or 
                           sum($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                       )
                     )"/>
        <!--
           
            
            TT2016:
            IF ([CTR156] > 0 OR [CTR158] > 0 OR [CTR159] > 0) AND ([IDS185] = NULL AND [IDS186] = NULL AND [IDS187] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
            [IDS185] = IDS:RP.CFCLC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS186] = IDS:RP.CFCSP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS187] = IDS:RP.CFCUC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count

        -->
        <assert id="VR.ATO.CTR.428416" diagnostics="DVR.ATO.CTR.428416"
                test="not( 
                           (  sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or sum(rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )                        
                        and
                        (
                                not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCSP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCUC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        ))"/>
        <!--
           
            
            TT2016
            IF ([CTR80] = NULL OR [CTR80] = 0 )
            AND ([CTR81] = NULL OR [CTR81] = 0 ) 
            AND (COUNT(SCHEDULE = "IDS") = 1) 
            AND ([IDS207] > 0)
             RETURN VALIDATION MESSAGE
          ENDIF

          [CTR80] = CTR:RP.JAUS:bafpr2.02.17:Expense.Operating.Interest.Amount
          [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.17:Expense.Operating.Interest.Amount
          [IDS207] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount

       -->
        <assert id="VR.ATO.CTR.428420" diagnostics="DVR.ATO.CTR.428420"
                test="not( 
                            sum(bafpr2.02.17:Expense.Operating.Interest.Amount[@contextRef = $RP.JAUS.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            sum(bafpr2.02.17:Expense.Operating.Interest.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            count($IDS.Context) = 1
                            and
                            sum($IDS.Context/rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )"/>
       

      
     
      
        <!--
            IF ([CTR113] <> NULL) AND ([IDS268] = FALSE)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
        -->
        <assert  id="VR.ATO.CTR.428425" diagnostics="DVR.ATO.CTR.428425"
                 test="not(
                        gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and $IDS.Context/bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')])"/>
        <!--
            IF ([CTR51] <> "NonResidentPermEstab") AND ([IDS221] = TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR51] = CTR:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
            [IDS221] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator
        -->
        <assert id="VR.ATO.CTR.428426" diagnostics="DVR.ATO.CTR.428426"
                test="not(
                        not(matches(pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')],'^(NonResidentPermEstab)$','i'))
                        and 
                        $IDS.Context/bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])"/>
        <!--
            IF ([CTR89] = FALSE) AND ([IDS208] = TRUE)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR89] = CTR:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
            [IDS208] = IDS:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
            
            
        -->
        <assert  id="VR.ATO.CTR.428427" diagnostics="DVR.ATO.CTR.428427"
                 test="not(
                        rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                        and $IDS.Context/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])"/>
        <!--
          
            TT2016
            IF ([CTR366] >  0) AND ([CTR366] < [IDS22])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR366] = CTR:RP.JFOREIGN:bafpr1.02.18:Expense.Royalties.Amount
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount

        -->
        <assert  id="VR.ATO.CTR.428408" diagnostics="DVR.ATO.CTR.428408"
                 test="not(
                        sum(bafpr1.02.18:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and 
                        (sum(bafpr1.02.18:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        &lt;
                        sum($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        ))"></assert>
        <!--
            IF [CTR198] = FALSE AND [IDS9] = TRUE
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR198] = CTR:RP:rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
            [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
        -->
        <assert id="VR.ATO.CTR.428417" diagnostics="DVR.ATO.CTR.428417"
                test="not(
                        rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                        and $IDS.Context/rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])"/>
        <!-- 
            IF [CTR73] = NULL AND ([IDS17] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR73] = CTR:RP:bafpr2.02.16:Expense.Operating.CostOfSales.Amount
            [IDS17] = IDS:RP.TangibleRevenue:bafpr1.02.16:Expense.Total.Amount
            
            TT2016:
            IF [CTR73] = NULL AND ([IDS17] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR73] = CTR:RP:bafpr2.02.16:Expense.Operating.CostOfSales.Amount
            [IDS17] = IDS:RP.TangibleRevenue:bafpr1.02.16:Expense.Total.Amount

        -->
        <assert id="VR.ATO.CTR.428418" diagnostics="DVR.ATO.CTR.428418"
                test="not(
                        not(bafpr2.02.16:Expense.Operating.CostOfSales.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        sum($IDS.Context/bafpr1.02.16:Expense.Total.Amount[@contextRef=$RP.TangibleRevenue.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"/>
        <!--
            IF ([CTR59] = NULL OR [CTR59] = 0) AND [IDS18] > 0
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR59] = CTR:RP:bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount
            [IDS18] = IDS:RP.TangibleRevenue:bafpr1.02.12:Revenue.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428419" diagnostics="DVR.ATO.CTR.428419"
                test="not(
                        sum(bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        sum($IDS.Context/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.TangibleRevenue.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"/>
        <!-- 
            IF ([CTR95] = NULL OR [CTR95] = 0) AND ([IDS219] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR95] = CTR:RP:bafpr1.02.02:Income.AssessableOther.Amount
            [IDS219] = IDS:RP:bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428421" diagnostics="DVR.ATO.CTR.428421"
                test="not(
                        sum(bafpr1.02.02:Income.AssessableOther.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and sum($IDS.Context/bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"/>
        <!--
            IF ([CTR113] = NULL) AND ([IDS268] = TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
        -->
        <assert id="VR.ATO.CTR.428424" diagnostics="DVR.ATO.CTR.428424"
                test="not(
                        not(gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and $IDS.Context/bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])"/>
        <!--
            IF ([CTR65] = NULL OR [CTR65] = 0) AND ([IDS32] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR65] = CTR:RP:bafpr1.02.02:Income.RentLeasingHiringGross.Amount
            [IDS32] = IDS:RP.RentLease:bafpr1.02.12:Revenue.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428410" diagnostics="DVR.ATO.CTR.428410"
                test="not(
                        sum(bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and sum($IDS.Context/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.RentLease.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"/>
        <!--
            
            TT2016
            
            IF (([CTR91] = NULL) AND ([IDS209] > 0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR91] = CTR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [IDS209] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount

        -->
        <assert id="VR.ATO.CTR.428422" diagnostics="DVR.ATO.CTR.428422"
                test="not( 
                           not (bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                            and
                            sum($IDS.Context/rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )"/>
        <!--
             TT2016         
            IF (([CTR78] = NULL OR [CTR78] = 0) AND ([CTR79] = NULL OR [CTR79] = 0)) AND ([IDS31] > 0) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR78] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.Lease.Amount
            [CTR79] = CTR:RP:bafpr2.02.16:Expense.Operating.Rent.Amount
            [IDS31] = IDS:RP.RentLease:bafpr1.02.16:Expense.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428409" diagnostics="DVR.ATO.CTR.428409"
                test="not( 
                            (
                            not(bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or 
                            sum(bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                            and
                            (
                            not(bafpr2.02.16:Expense.Operating.Rent.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or 
                            sum(bafpr2.02.16:Expense.Operating.Rent.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                            and
                            sum($IDS.Context/bafpr1.02.16:Expense.Total.Amount[@contextRef=$RP.RentLease.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )"/>

        <!--         
             IF (([CTR57] = NULL OR [CTR57] = 0) AND ([CTR64] = NULL OR [CTR64] = 0)) AND ([IDS103] > 0)
                RETURN VALIDATION MESSAGE
             ENDIF

             [CTR57] = CTR:RP:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
             [CTR64] = CTR:RP:bafpr2.02.02:Income.Interest.Gross.Amount
             [IDS103] = IDS:RP.OtherInterest:bafpr1.02.12:Revenue.Total.Amount
    
        -->
        <assert  id="VR.ATO.CTR.428412" diagnostics="DVR.ATO.CTR.428412"
                 test="not( 
                            (
                            sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and sum(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                            and sum($IDS.Context/bafpr1.02.12:Revenue.Total.Amount[@contextRef = $RP.OtherInterest.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"/>
        <!--         
            IF ([CTR156] > 0 OR [CTR157] > 0 OR [CTR158] > 0 OR [CTR159] > 0) AND (([IDS191] + [IDS192] + [IDS193]) > ([CTR156] + [CTR157] + [CTR158] + [CTR159]))
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount 
            
            New:2016 Drop 4
            IF ([CTR156] > 0 OR [CTR158] > 0 OR [CTR159] > 0)
            AND (([IDS191] + [IDS192] + [IDS193]) > ([CTR156]  + [CTR158] + [CTR159]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
  Iteration7 
    Iteration 7
              IF ([CTR156] > 0 OR [CTR158] > 0 OR [CTR159] > 0) 
              AND (
                    (([IDS191] + [IDS192] + [IDS193]) < ([CTR156] + [CTR158]))
                    OR 
                    (([IDS191] + [IDS192] + [IDS193]) > ([CTR156] + [CTR158] + [CTR159]))
                   )
               RETURN VALIDATION MESSAGE           
               ENDIF


            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->
      <assert id="VR.ATO.CTR.428413" diagnostics="DVR.ATO.CTR.428413"
              test="not( 
                        (
                            sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or sum(rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                        and
                        (
                            ( sum(
                                 $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                 | $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                 | $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )
                            &lt;
                             sum(
                                 bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                 | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]                               
                                ) 
                            )							  
                          or
                           (						  
                              sum(
                                  $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                  | $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                  | $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )
                               &gt;
                              sum(
                                   bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   | rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )
					                 )
                       )
                  )"/>


        <!-- CGFNFT -->

        <!-- Rule ID: VR.ATO.CGNFT.000100
         ELS REF: N/A
         
        IF COUNT(SCHEDULE(CGNFT)) > 1
          RETURN VALIDATION MESSAGE
        ENDIF    
    -->
        <assert id="VR.ATO.CGNFT.000100" diagnostics="DVR.ATO.CGNFT.000100"
                test="not(
                        count($RP.CGNFT.Context) > 1
                     )"/>


    </rule>
</pattern>