﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Lengths" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Length Validations</title>

<!-- xsd-datatype-monetary -->

<rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
	        Rule ID: VR.ATO.DIS.406012

	        IF ([DIS16] <> MONETARY(U,12,0))
                RETURN VALIDATION ERROR
            ENDIF
            
            [DIS16]= DIS:$RP:rvctc2.02.01:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
        -->
        <assert id="VR.ATO.DIS.406012" diagnostics="DVR.ATO.DIS.406012" 
                test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,12}$')"/>

</rule>
    
<!-- TODO: I can't get this to fire, not sure why. Will come back to it later. ~ Boydlee -->

<rule context="bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
	        Rule ID:  VR.ATO.DIS.406013
            
            IF ([DIS17] <> MONETARY(U,12,0))
                RETURN VALIDATION ERROR
            ENDIF
            
            [DIS17] = DIS:$RP:bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount
        -->
        <assert id="VR.ATO.DIS.406013" diagnostics="DVR.ATO.DIS.406013" 
                test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,12}$')"/>

</rule>

<rule context="bafpr2.02.02:Expense.Interest.Paid.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
	        Rule ID:  VR.ATO.DIS.406014
            
            IF ([DIS20] <> MONETARY(U,12,0))
                RETURN VALIDATION ERROR
            ENDIF
            
            [DIS20] = DIS:$RP:bafpr2.02.02:Expense.Interest.Paid.Amount
        -->
        <assert id="VR.ATO.DIS.406014" diagnostics="DVR.ATO.DIS.406014" 
                test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,12}$')"/>

</rule>

<rule context="bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">

	        <!--Rule ID: VR.ATO.DIS.406019

            IF ([DIS19] <> NULL) AND ([DIS19] <> MONETARY(U,12,0))
            RETURN VALIDATION ERROR
            ENDIF

            [DIS19] = DIS:RP.CFI:bafpo2.xx.xx:Equity.Dividends.UnfrankedPaid.Amount
            IN TUPLE(dis.0001.lodge.req.xx.xx:unfrankedDividends)
            IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)-->
        
        <assert  id="VR.ATO.DIS.406019" diagnostics="DVR.ATO.DIS.406019" 
                 test="@contextRef != $RP.CFI.ContextId or matches(.,'^[0-9]{1,12}$')"/>


	        <!--Rule ID: VR.ATO.DIS.406018
            
            IF ([DIS18] <> NULL) AND ([DIS18] <> MONETARY(U,12,0))
             RETURN VALIDATION ERROR
            ENDIF

            [DIS18] = DIS:RP.NONCFI:bafpo2.xx.xx:Equity.Dividends.UnfrankedPaid.Amount
            IN TUPLE(dis.0001.lodge.req.xx.xx:unfrankedDividends)
            IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)-->
        
        <assert id="VR.ATO.DIS.406018" diagnostics="DVR.ATO.DIS.406018" 
                test="@contextRef != $RP.NONCFI.ContextId or matches(.,'^[0-9]{1,12}$')"/>

</rule>
    
<!-- ENUMERATIONS -->

<rule context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
        
<!--
            Rule ID: VR.ATO.GEN.410049

            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
               RETURN VALIDATION MESSAGE
            ENDIF
            TODO: Pending outcome of LEVEL A issue raised.
        -->
        <assert id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" 
                test="matches(.,'^MN$')"/>

</rule>


<!-- Algorithms -->

    <rule context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        
<!--
            Rule ID: VR.ATO.GEN.410031
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410031" diagnostics="DVR.ATO.GEN.410031"
              test="not(
                            string-length(normalize-space(.)) &gt; 0 
                            and not(function:ValidateTFN(.))
                    )"/>

</rule>

<rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.GEN.428040
 
            IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) and (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428040" diagnostics="DVR.ATO.GEN.428040" 
                test="not(
                            string-length(normalize-space(.)) &gt; 0 
                            and not(function:ValidateABN(.))
                    )"/>

</rule>
    
<!-- ENUMERATIONS -->

<rule context="dis.0002.lodge.req.02.01:Investor[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.DIS.406017
        
            IF ([DIS15] <>SET ("117","051","212","161","210","060")
                RETURN VALIDATION ERROR
            ENDIF

            [DIS15] = DIS:RP:pyde.xx.xx:Party.Type.Code IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->
        <assert id="VR.ATO.DIS.406017" diagnostics="DVR.ATO.DIS.406017" 
                test="pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and matches(.,'^(117|051|212|161|210|060)$')]"/>

  <!--
	        Rule ID: VR.ATO.DIS.406019

           IF ([DIS19] <> NULL) AND ([DIS19] <> MONETARY(U,12,0))
              RETURN VALIDATION ERROR
            ENDIF

          [DIS19] = DIS:RP.CFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(dis.0002.lodge.req.02.01:Investor)
        -->
  <!--<assert  id="VR.ATO.DIS.406019" diagnostics="DVR.ATO.DIS.406019"
          test="not( bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[not(@i:nil='true' or @i:nil='1') and  @contextRef = $RP.CFI.ContextId and not(matches(.,'^[0-9]{1,12}$'))])"/>-->

  <!--
	        Rule ID: VR.ATO.DIS.406018
            
            IF ([DIS18] <> NULL) AND ([DIS18] <> MONETARY(U,12,0))
             RETURN VALIDATION ERROR
            ENDIF

            [DIS18] = DIS:RP.NONCFI:bafpo2.xx.xx:Equity.Dividends.UnfrankedPaid.Amount
            IN TUPLE(dis.0001.lodge.req.xx.xx:unfrankedDividends)
            IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->
  <!--<assert id="VR.ATO.DIS.406018" diagnostics="DVR.ATO.DIS.406018"
          test="not (bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[not(@i:nil='true' or @i:nil='1') and  @contextRef = $RP.NONCFI.ContextId and not(matches(.,'^[0-9]{1,12}$')) ])"/>-->
  
  

</rule>
    
  <rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND 
                (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247" test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTAN(.))
                      )"/>
  </rule>
</pattern>