﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormS25A" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to S25A.</title>

<!-- S25A Variables -->
<let name="S25A.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/s25a/s25a_0002/s25a.0002.lodge.request.02.00.report.xsd']]" />
<!-- RP Context Variables -->
<let name="RP.S25A.Context" value="$S25A.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
                 ]" />
<let name="RP.S25A.ContextId" value="$RP.S25A.Context/@id" />
<!-- RP.All Context Variables -->
<let name="RP.All.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:All$')]) = 1]
           ]" />
<let name="RP.All.S25A.ContextId" value="$RP.All.S25A.Context/@id" />
<!-- RP.Opening Context Variables -->
<let name="RP.Opening.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1]
           ]" />
<let name="RP.Opening.S25A.ContextId" value="$RP.Opening.S25A.Context/@id" />
<!-- RP.Closing Context Variables -->
<let name="RP.Closing.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
           ]" />
<let name="RP.Closing.S25A.ContextId" value="$RP.Closing.S25A.Context/@id" />
<!-- RP.CFCLC Context Variables -->
<let name="RP.CFCLC.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
<let name="RP.CFCLC.S25A.ContextId" value="$RP.CFCLC.S25A.Context/@id" />
<!-- RP.CFC404 Context Variables -->
<let name="RP.CFC404.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
<let name="RP.CFC404.S25A.ContextId" value="$RP.CFC404.S25A.Context/@id" />
<!-- RP.CFCUC Context Variables -->
<let name="RP.CFCUC.S25A.Context" value="$S25A.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
          ]" />
<let name="RP.CFCUC.S25A.ContextId" value="$RP.CFCUC.S25A.Context/@id" />
<!-- RP.s404andUnlisted Context Variables -->
<let name="RP.s404andUnlisted.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404AndUnlistedCountry$')]) = 1]
           ]" />
<let name="RP.s404andUnlisted.S25A.ContextId" value="$RP.s404andUnlisted.S25A.Context/@id" />
<!-- RP.Opening.CFCLC Context Variables -->
<let name="RP.Opening.CFCLC.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
<let name="RP.Opening.CFCLC.S25A.ContextId" value="$RP.Opening.CFCLC.S25A.Context/@id" />
<!-- RP.Opening.CFC404 Context Variables -->
<let name="RP.Opening.CFC404.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
<let name="RP.Opening.CFC404.S25A.ContextId" value="$RP.Opening.CFC404.S25A.Context/@id" />
<!-- RP.Opening.CFCUC Context Variables -->
<let name="RP.Opening.CFCUC.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
<let name="RP.Opening.CFCUC.S25A.ContextId" value="$RP.Opening.CFCUC.S25A.Context/@id" />
<!-- RP.Closing.CFCLC Context Variables -->
<let name="RP.Closing.CFCLC.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
<let name="RP.Closing.CFCLC.S25A.ContextId" value="$RP.Closing.CFCLC.S25A.Context/@id" />
<!-- RP.Closing.CFC404 Context Variables -->
<let name="RP.Closing.CFC404.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
<let name="RP.Closing.CFC404.S25A.ContextId" value="$RP.Closing.CFC404.S25A.Context/@id" />
<!-- RP.Closing.CFCUC Context Variables -->
<let name="RP.Closing.CFCUC.S25A.Context" value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
<let name="RP.Closing.CFCUC.S25A.ContextId" value="$RP.Closing.CFCUC.S25A.Context/@id" />
</pattern>