﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validation Variables</title>

<!-- SMSFAR Context -->
<let name="SMSFAR.Context" value="//xbrli:xbrl[child::link:schemaRef[matches(@xlink:href,'^http://sbr\.gov\.au/taxonomy/sbr_au_reports/ato/smsfar/smsfar_\d\d\d\d/smsfar\.\d\d\d\d\.lodge\.request\.\d\d\.\d\d\.report\.xsd$')]]" />
<!-- RP Context -->
<let name="RP.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
<!-- RP Context Id -->
<let name="RP.SMSFAR.ContextId" value="$RP.SMSFAR.Context/@id" />
<!-- INT Context -->
<let name="INT.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]" />
<!-- INT Context Id -->
<let name="INT.SMSFAR.ContextId" value="$INT.SMSFAR.Context/@id" />
<!-- RP.Y0Plus.Closing.SMSFAR Context -->
<let name="RP.Y0Plus.Closing.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
            ]" />
<!-- RP.Y0Plus.Closing.SMSFAR Context Id -->
<let name="RP.Y0Plus.Closing.SMSFAR.ContextId" value="$RP.Y0Plus.Closing.SMSFAR.Context/@id" />
<!-- RPI.Y0Plus.Closing.SMSFAR Context -->
<let name="RPI.Y0Plus.Closing.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
            ]" />
<!-- RPI.Y0Plus.Closing.SMSFAR Context Id -->
<let name="RPI.Y0Plus.Closing.SMSFAR.ContextId" value="$RPI.Y0Plus.Closing.SMSFAR.Context/@id" />
<!-- RP.TOFA Context -->
<let name="RP.TOFA.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
            ]" />
<!-- RP.TOFA Context Id -->
<let name="RP.TOFA.SMSFAR.ContextId" value="$RP.TOFA.SMSFAR.Context/@id" />
<!-- RP.Closing Context -->
<let name="RP.Closing.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
            ]" />
<!-- RP.Closing Context Id -->
<let name="RP.Closing.SMSFAR.ContextId" value="$RP.Closing.SMSFAR.Context/@id" />
<!-- RP.JFOREIGN Context -->
<let name="RP.SMSFAR.JFOREIGN.Context" value="$SMSFAR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]
            ]" />
<!-- RP.JFOREIGN Context Id -->
<let name="RP.SMSFAR.JFOREIGN.ContextId" value="$RP.SMSFAR.JFOREIGN.Context/@id" />
</pattern>