﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormIDS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to IDS.</title>
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0004/ids.0004.lodge.request.02.00.report.xsd']]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" >
        <!--
                      Rule ID: VR.ATO.GEN.402009
                      
                      IF (RP:entity.identifier.TFN 
                              <> PARENT RETURN:RP:entity.identifier.TFN)
                          RETURN VALIDATION MESSAGE
                      ENDIF
        -->
        
        <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009"
                 test="not(
                        @id=$RP.IDS.ContextId
                        and xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $RP.TRT.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                    )"/>
        
        <!--
                      Rule ID: VR.ATO.GEN.438000
                      
                      IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
                         RETURN VALIDATION MESSAGE
                      ENDIF
            -->
      
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000"
        test="not(
                    xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.TRT.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>

        <!--
                      Rule ID: VR.ATO.GEN.438001
                      
                      IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
                         RETURN VALIDATION MESSAGE
                      ENDIF
            -->
      
        <assert id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001"
        test="not(
                    xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.TRT.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0004/ids.0004.lodge.request.02.00.report.xsd']]" >
        <!--
                      Rule ID: VR.ATO.TRT.432649
                      
                      IF [TRT151] = FALSE AND [IDS9] = TRUE
                         RETURN VALIDATION MESSAGE
                      ENDIF

                      [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
                      [TRT151] = TRT:RP:rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
        -->

        <assert  id="VR.ATO.TRT.432649" diagnostics="DVR.ATO.TRT.432649" test="not(
                        ($TRT.Context/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')])
                        and
                        (rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                    )"></assert>
    </rule>
</pattern>