﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.GEN.500060
    
          IF  (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL ) 
                AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK)
              ) OR (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) 
                AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK)
              )
             RETURN VALIDATION MESSAGE
          ENDIF
        
         [TRTAMI97] = RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
         [TRTAMI86] = Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500060" diagnostics="DVR.ATO.GEN.500060"
			  test="not(
                      (
							          count($INTTAC.Context) = 0
							          and
							          not($trtami97[not(@i:nil='true') and string-length(.) != 0])
						          )
						          or
						          (
							          count($INTTAC.Context) != 0
							          and
							          not($trtami86[not(@i:nil='true') and string-length(.) != 0])
						          )
                  )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000014
        
          IF [TRTAMI10] = NULLORBLANK
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000014" diagnostics="DVR.ATO.TRTAMI.000014"
        test="not(
                      not($trtami10[not(@i:nil='true') and string-length(.) != 0])
                 )" />
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000025

          IF [TRTAMI31] = NULLORBLANK
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->

    <assert id="VR.ATO.TRTAMI.000025" diagnostics="DVR.ATO.TRTAMI.000025"
        test="not(
                          not($trtami31[not(@i:nil='true') and string-length(.) != 0])
                       )" />

    
    <!-- Rule ID: VR.ATO.TRTAMI.000029
           ELS Ref: ABH
        
           IF [TRTAMI12] = NULLORBLANK
			 RETURN VALIDATION MESSAGE
		   ENDIF
           
           [TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
      -->

    <assert id="VR.ATO.TRTAMI.000029" diagnostics="DVR.ATO.TRTAMI.000029"
        test="not(
                          not($trtami12[not(@i:nil='true') and string-length(.) != 0])
                       )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000039
           ELS Ref: AME
        
           IF [TRTAMI14] = NULLORBLANK
			 RETURN VALIDATION MESSAGE
		   ENDIF
           
           [TRTAMI14] = pyde.xx.xx:AddressDetails.LocalityName.Text
      -->

    <assert id="VR.ATO.TRTAMI.000039" diagnostics="DVR.ATO.TRTAMI.000039"
				test="not(
                          not($trtami14[not(@i:nil='true') and string-length(.) != 0])
                       )" />
    

    <!-- Rule ID: VR.ATO.TRTAMI.000092

          IF [TRTAMI33] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000092" diagnostics="DVR.ATO.TRTAMI.000092"
            test="not(
                        not($trtami33[not(@i:nil='true')])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000093

          IF [TRTAMI34] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000093" diagnostics="DVR.ATO.TRTAMI.000093"
            test="not(
                        not($trtami34[not(@i:nil='true')])
                     )" />
    
    <!-- Rule ID: VR.ATO.TRTAMI.000106
    
          IF [TRTAMI47] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000106" diagnostics="DVR.ATO.TRTAMI.000106"
            test="not(
                        not($trtami47[not(@i:nil='true')])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000107
    
          IF [TRTAMI48] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000107" diagnostics="DVR.ATO.TRTAMI.000107"
            test="not(
                        not($trtami48[not(@i:nil='true')])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000165

          IF [TRTAMI73] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000165" diagnostics="DVR.ATO.TRTAMI.000165"
						test="not(
												not($trtami73[not(@i:nil='true')])
										 )"/>

	  <!-- Rule ID: VR.ATO.TRTAMI.000173
    
          IF [TRTAMI5] = NULL
			RETURN VALIDATION MESSAGE
		  ENDIF
          
    -->
	  <assert id="VR.ATO.TRTAMI.000173" diagnostics="DVR.ATO.TRTAMI.000173"
			  test="not(
                        not($trtami5[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000204

          IF [TRTAMI137] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000204" diagnostics="DVR.ATO.TRTAMI.000204"
						test="not(
												not($trtami137[not(@i:nil='true')])
										 )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000206

          IF [TRTAMI138] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000206" diagnostics="DVR.ATO.TRTAMI.000206"
						test="not(
												not($trtami138[not(@i:nil='true')])
										 )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000207

          IF [TRTAMI102] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000207" diagnostics="DVR.ATO.TRTAMI.000207"
						test="not(
												not($trtami102[not(@i:nil='true')])
										 )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000219

          IF [TRTAMI112] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000219" diagnostics="DVR.ATO.TRTAMI.000219"
						test="not(
												not($trtami112[not(@i:nil='true')])
										 )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000221

          IF [TRTAMI115] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000221" diagnostics="DVR.ATO.TRTAMI.000221"
						test="not(
												not($trtami115[not(@i:nil='true')])
										 )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000222

          IF [TRTAMI116] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000222" diagnostics="DVR.ATO.TRTAMI.000222"
						test="not(
												not($trtami116[not(@i:nil='true')])
										 )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000223

          IF [TRTAMI117] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000223" diagnostics="DVR.ATO.TRTAMI.000223"
						test="not(
												not($trtami117[not(@i:nil='true')])
										 )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000289

          IF [TRTAMI32] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000289" diagnostics="DVR.ATO.TRTAMI.000289"
            test="not(
                        not($trtami32[not(@i:nil='true')])
                     )" />

    
    <!-- Rule ID: VR.ATO.TRTAMI.000296

          IF [TRTAMI63] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000296" diagnostics="DVR.ATO.TRTAMI.000296"
            test="not(
                        not($trtami63[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000297

          IF [TRTAMI64] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000297" diagnostics="DVR.ATO.TRTAMI.000297"
            test="not(
                        not($trtami64[not(@i:nil='true')])
                     )" />





    <!-- Rule ID: VR.ATO.GEN.438045
    
      IF (pyin.xx.xx:Report.TargetFinancial.Year = NULLORBLANK)
          RETURN VALIDATION MESSAGE
      ENDIF
    -->

    <assert id="VR.ATO.GEN.438045" diagnostics="DVR.ATO.GEN.438045"
        test="not(
                     not($trtami1[not(@i:nil='true') and string-length(.) != 0])
                  ) "/>


	  <!-- Rule ID: VR.ATO.GEN.500056
    
          IF (
				(
					CONTEXT(Intermediary.TrueAndCorrect)=NULL) AND 
					(
						RP.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK
					)
				) 
				OR 
				(
					(
						CONTEXT(Intermediary.TrueAndCorrect)<>NULL
					) 
					AND 
					(
						Intermediary.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK
					)
				)
					RETURN VALIDATION MESSAGE
			ENDIF
			
			
			[TRTAMI83] = pyde.xx.xx:PersonUnstructuredName.FullName.Text	INT.T&C
			[TRTAMI94] = pyde.xx.xx:PersonUnstructuredName.FullName.Text	RP.T&C
    -->

	  <assert id="VR.ATO.GEN.500056" diagnostics="DVR.ATO.GEN.500056"
		  test="not(
						(
							count($INTTAC.Context) = 0
							and
							not($trtami94[not(@i:nil='true') and string-length(.) != 0])
						)
						or
						(
							count($INTTAC.Context) != 0
							and
							not($trtami83[not(@i:nil='true') and string-length(.) != 0])
						)					 
                  ) "/>



	  <!-- Rule ID: VR.ATO.GEN.500067

          IF  (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL) 
                AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL)
              ) OR (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) 
                AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL)
              )
                RETURN VALIDATION MESSAGE
          ENDIF
        
         [TRTAMI98] = RP.TrueAndCorrect:pyin.02.00:Declaration.Signature.Date
         [TRTAMI87] = Intermediary.TrueAndCorrect:pyin.02.00:Declaration.Signature.Date
    -->
	  <assert id="VR.ATO.GEN.500067" diagnostics="DVR.ATO.GEN.500067"
			  test="not(
                         (
							count($INTTAC.Context) = 0
							and
							not($trtami98[not(@i:nil='true')])
						)
						or
						(
							count($INTTAC.Context) != 0
							and
							not($trtami87[not(@i:nil='true')])
						)
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500094
    
          IF (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator <> TRUE)
              RETURN VALIDATION MESSAGE
          ENDIF
    -->

    <assert id="VR.ATO.GEN.500094" diagnostics="DVR.ATO.GEN.500094"
        test="not(
                     (count($INTTAC.Context) > 0)
                     and
                     (
                     $trtami88[(. != 'true')]
                     or
                     not($trtami88[not(@i:nil='true') and string-length(.) != 0])
                     )
                  ) "/>
    
    
	  <!-- Rule ID: VR.ATO.GEN.500095
      
		IF (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.Signatoryidentifier.Text = NULLORBLANK) 
			RETURN VALIDATION MESSAGE
		ENDIF
    -->

	  <assert id="VR.ATO.GEN.500095" diagnostics="DVR.ATO.GEN.500095"
		  test="not(
                     (count($INTTAC.Context) > 0)
                     and
                     not($trtami89[not(@i:nil='true') and string-length(.) != 0])
                  ) "/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500100
    
          IF (CONTEXT(RP.TrueAndCorrect) <> NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator <> TRUE)
              RETURN VALIDATION MESSAGE
          ENDIF
    -->
    
    <assert id="VR.ATO.GEN.500100" diagnostics="DVR.ATO.GEN.500100"
        test="not(
                     (count($RPTAC.Context) > 0)
                     and
                     not($trtami99[matches(.,'^(true|1)$')])
                  ) "/>

	  <!-- Rule ID: VR.ATO.GEN.500101
    
			IF (CONTEXT(RP.TrueAndCorrect) <> NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.Signatoryidentifier.Text = NULLORBLANK) 
				RETURN VALIDATION MESSAGE
			ENDIF
    -->

	  <assert id="VR.ATO.GEN.500101" diagnostics="DVR.ATO.GEN.500101"
		  test="not(
                     (count($RPTAC.Context) > 0)
                     and
                     not($trtami100[not(@i:nil='true') and string-length(.) != 0])
                  ) "/>

	</rule>
</pattern>
