﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">

  <diagnostic id="DVR.ATO.GEN.000209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid Context. The number of ReportingParty contexts must equal 1</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
 <diagnostic id="DVR.ATO.GEN.001023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Location/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438000</Code>
      <Description>The context period start date is incorrect.</Description>
      <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438001</Code>
      <Description>The context period end date is incorrect.</Description>
      <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription />
      <Location/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000001</Code>
      <Description>The Target Financial Year must match the Year shown on the parent form</Description>
      <LongDescription>The date present in the Target Financial Year must match the date that is shown in the same field in the parent form</LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000002</Code>
      <Description>Trust Australian Business Number must be present</Description>
      <LongDescription/>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000507">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000507</Code>
      <Description>Name of Attribution Managed Investment Trust (AMIT) Class contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000532">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000532</Code>
      <Description>Name of Attribution Managed Investment Trust (AMIT) Class must not exceed 200 characters</Description>
      <LongDescription>For Name of Attribution Managed Investment Trust (AMIT) Class, the maximum allowable characters for this form is 200</LongDescription>
      <Location>rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000429">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000429</Code>
      <Description>Invalid context. The number of RP.NetExemptionIncome contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000430">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000430</Code>
      <Description>Invalid context. The number of RP.NonAssessableNonExemptAmounts contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000435">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000435</Code>
      <Description>Invalid context. The number of RP.Offset contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000436">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000436</Code>
      <Description>Assessable Income not in a valid monetary format</Description>
      <LongDescription>Assessable Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000437">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000437</Code>
      <Description>Direct Deductions is not in a valid monetary format</Description>
      <LongDescription>Direct Deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.12:Expense.DeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000438">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000438</Code>
      <Description>Other Deductions is not in a valid monetary format</Description>
      <LongDescription>Other Deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Expense.DeductionsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000439">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000439</Code>
      <Description>Trust Components is not in a valid monetary format</Description>
      <LongDescription>Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Income.TrustComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000440">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000440</Code>
      <Description>Total Unders is not in a valid monetary format</Description>
      <LongDescription>Total Unders must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Income.UnderstatedEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000441">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000441</Code>
      <Description>Total Overs is not in a valid monetary format</Description>
      <LongDescription>Total Overs must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Expense.Overstated.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000527">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000527</Code>
      <Description>Carry-Forward Trust Component Deficits is not in a valid monetary format</Description>
      <LongDescription>Carry-Forward Trust Component Deficits must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Expense.CarryForwardTrustComponentDeficit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000528">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000528</Code>
      <Description>Determined Trust Components is not in a valid monetary format</Description>
      <LongDescription>Determined Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000461">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000461</Code>
      <Description>Determined Trust Components is not in a valid monetary format</Description>
      <LongDescription>Determined Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000467">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000467</Code>
      <Description>Trust Components is not in a valid monetary format</Description>
      <LongDescription>Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Income.TrustComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000468">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000468</Code>
      <Description>Total Unders is not in a valid monetary format</Description>
      <LongDescription>Total Unders must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Income.UnderstatedEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000469">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000469</Code>
      <Description>Total Overs is not in a valid monetary format</Description>
      <LongDescription>Total Overs must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Expense.Overstated.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000471">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000471</Code>
      <Description>Determined Trust Components is not in a valid monetary format</Description>
      <LongDescription>Determined Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000472">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000472</Code>
      <Description>Trust Component Deficits is not in a valid monetary format</Description>
      <LongDescription>Trust Component Deficits must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Income.TrustDeficitComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000480">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000480</Code>
      <Description>Balance of Tax Losses Brought Forward from Prior Income Years is not in a valid monetary format</Description>
      <LongDescription>Balance of Tax Losses Brought Forward from Prior Income Years must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000513">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000513</Code>
      <Description>Uplift of tax losses of designated infrastructure project entities is not in a valid monetary format</Description>
      <LongDescription>Uplift of tax losses of designated infrastructure project entities must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.14:Tax.Losses.Uplift.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000514">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000514</Code>
      <Description>Net Forgiven Amount of Debt is not in a valid monetary format</Description>
      <LongDescription>Net Forgiven Amount of Debt must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000515">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000515</Code>
      <Description>Tax Losses Incurred (if any) During the Current Year is not in a valid monetary format</Description>
      <LongDescription>Tax Losses Incurred (if any) During the Current Year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.Incurred.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000516">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000516</Code>
      <Description>Net exempt Income is not in a valid monetary format</Description>
      <LongDescription>Net exempt Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000517">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000517</Code>
      <Description>Tax losses forgone is not in a valid monetary format</Description>
      <LongDescription>Tax Losses forgone must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.Forgone.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000481">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000481</Code>
      <Description>Tax Losses Deducted is not in a valid monetary format</Description>
      <LongDescription>Tax Losses Deducted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000482">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000482</Code>
      <Description>Tax Losses Carried Forward to Later Income Years is not in a valid monetary format</Description>
      <LongDescription>Tax Losses Carried Forward to Later Income Years must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000524">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000524</Code>
      <Description>Tax Losses Carried Forward to Later Income Years amount is incorrect</Description>
      <LongDescription>Tax Losses Carried Forward to Later Income Years for Tax Losses Information must equal the sum of Balance of Tax Losses Brought Forward from Prior Income Years, Uplift of Tax Losses of Designated Infrastructure Project Entities and Tax Loss Incurred (if any) During the Current Year, less Net Forgiven Amount of Debt, Net Exempt Income, Tax Losses Forgone and Tax Losses Deducted</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000601">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000601</Code>
      <Description>Determined Trust Components is not in a valid monetary format</Description>
      <LongDescription>Determined Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMIS.000602">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000602</Code>
      <Description>Number of Members in the AMIT Class at the End of the Income Year must be provided</Description>
      <LongDescription>Number of Members in the AMIT Class at the end of the Income Year and must be provided when Name of Attribution Managed Investment Trust (AMIT) Class is provided</LongDescription>
      <Location>rvctc1.02.24:IncomeTax.AttributionManagedInvestmentTrustClassMembers.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000603">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000603</Code>
      <Description>Trust Components amount is incorrect</Description>
      <LongDescription>For assessable income details, Trust Components amounts must not be provided when the sum of all Direct Deductions and Other Deductions amounts exceeds the sum of all Assessable Income amounts.</LongDescription>
      <Location>bafpr1.02.29:Income.TrustComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMIS.000604">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000604</Code>
      <Description>Net Capital Gain is not in a valid monetary format</Description>
      <LongDescription>Net Capital Gain must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.30:Income.CapitalGainsNetCredit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMIS.000605">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000605</Code>
      <Description>Direct Deductions is not in a valid monetary format</Description>
      <LongDescription>Direct Deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
        <Location>bafpr1.02.12:Expense.DeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.TRTAMIS.000606">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000606</Code>
      <Description>Other Deductions is not in a valid monetary format</Description>
      <LongDescription>Other Deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Expense.DeductionsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.TRTAMIS.000607">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000607</Code>
      <Description>Trust Components is not in a valid monetary format</Description>
      <LongDescription>Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Income.TrustComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.TRTAMIS.000608">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000608</Code>
      <Description>Total Unders is not in a valid monetary format</Description>
      <LongDescription>Total Unders must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Income.UnderstatedEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.TRTAMIS.000609">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000609</Code>
      <Description>Total Overs is not in a valid monetary format</Description>
      <LongDescription>Total Overs must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Expense.Overstated.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.TRTAMIS.000610">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000610</Code>
      <Description>Determined Trust Components is not in a valid monetary format</Description>
      <LongDescription>Determined Trust Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.TRTAMIS.000611">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000611</Code>
      <Description>Carry-Forward Trust Component Deficits is not in a valid monetary format</Description>
      <LongDescription>Carry-Forward Trust Component Deficit must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Expense.CarryForwardTrustComponentDeficit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.TRTAMIS.000612">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000612</Code>
      <Description>Invalid context. The number of RP.AssessableIncomeOtherThanCapitalGains contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000613">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000613</Code>
      <Description>Invalid context. The number of RP.AssessableIncomeOtherThanCapitalGains.Direct contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000614">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000614</Code>
      <Description>Invalid context. The number of RP.AssessableIncomeOtherThanCapitalGains.Indirect contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000615">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000615</Code>
      <Description>Invalid context. The number of RP.AssessableIncomeCapitalGains contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000616">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000616</Code>
      <Description>Invalid context. The number of RP.AssessableIncomeCapitalGains.Direct contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000617">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000617</Code>
      <Description>Invalid context. The number of RP.AssessableIncomeCapitalGains.Indirect contexts cannot exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000618">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000618</Code>
      <Description>'Is this the Final Schedule for this class (where the schedule relates to a separate class)?' must be provided</Description>
      <LongDescription>Is this the Final Schedule for this Class (Where the Schedule Relates to a Separate Class)? must be provided when Name of Attribution Managed Investment Trust (AMIT) Class is provided</LongDescription>
      <Location>pyin.02.28:Lodgment.FinalReturn.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>



</diagnostics>
